Subject: Re: Grapefruit Seed Extract ?? Any info ?

From: [email-masked] (Picwin)
Date: 11 Sep 1995 17:06:37 -0400

I've been using grapefruit seed extract from source naturals in a
glycerine base for about two months.  I have actually come to enjoy a
dropperful in aglass of ice cold water.  My doctor told me to use the
extract for six months as part of a regimen to overcome a candida
overgrowth.  I like it.